<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.smartapplication.devicelog.mapper.DeviceLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="deviceLogResultMap" type="org.springblade.smartapplication.devicelog.entity.DeviceLog">
        <result column="id" property="id"/>
        <result column="log_type" property="logType"/>
        <result column="api_method" property="apiMethod"/>
        <result column="msg_id" property="msgId"/>
        <result column="device_id" property="deviceId"/>
        <result column="data" property="data"/>
        <result column="receive_time" property="receiveTime"/>
        <result column="code" property="code"/>
        <result column="msg" property="msg"/>
    </resultMap>


    <select id="selectDeviceLogPage" resultMap="deviceLogResultMap">
        select * from yc_device_log where is_deleted = 0
    </select>

</mapper>
